## nspr 4.8-0jolicloud1

=== debian/changelog ===
nspr (4.8-0jolicloud1) robby; urgency=low

  * Jolicloud packaging

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Fri, 06 Nov 2009 16:59:03 +0100

nspr (4.8-0ubuntu1) karmic; urgency=low

  * New upstream release: 4.8 (LP: #387812)
  * adjust patches to changed upstreanm codebase
    - update debian/patches/99_configure.patch
  * update shlibs symbols to include new API elements
    - update debian/libnspr4-0d.symbols

 -- Alexander Sack <asac@ubuntu.com>  Mon, 10 Aug 2009 11:34:26 +0200

nspr (4.7.5-0ubuntu1) karmic; urgency=low

  * New upstream version: 4.7.5 (LP: #387745)
    - see USN-810-2

  * adjust patches to changed upstream code base
    - update debian/patches/99_configure.patch

 -- Alexander Sack <asac@ubuntu.com>  Tue, 16 Jun 2009 11:28:24 +0200

nspr (4.7.3-0ubuntu2) jaunty; urgency=low

  * LP: #316452 - ldconfig breaks/removes legacy links for
    previously versioned library names during upgrade; the fix
    prevents ldconfig from treating the transitional/backup files
    as "libs" by using a prefix ("XNOLDCONFIG_")
    - debian/libnspr4-0d.postinst
    - debian/libnspr4-0d.postrm
    - debian/libnspr4-0d.preinst
    - debian/libnspr4-0d.prerm

 -- Alexander Sack <asac@ubuntu.com>  Wed, 14 Jan 2009 13:27:43 +0100

nspr (4.7.3-0ubuntu1) jaunty; urgency=low

  * New upstream version: 4.7.3 from NSPR_4_7_3_RTM tag

  [ Fabien Tassin <fta@ubuntu.com> ]
  * LP: #269188 - use /dev/urandom for better entropy on LTSP environments
  * update diverged patches:
    - update debian/patches/30_pkgconfig.patch
    - update debian/patches/81_sonames.patch
    - update debian/patches/99_configure.patch

  [ Alexander Sack <asac@ubuntu.com> ]
  Drop debian soname patch for full upstream compatibility
  * eliminate soname patch
    - delete debian/patches/81_sonames.patch
    - update debian/patches/series
  * refresh configure patch to reflect dropped soname patch
    - update debian/patches/99_configure.patch
  * install unversioned .so files
    - update debian/libnspr4-0d.install
  * .so.0d links are not created without the soname patch. we create
    backlinks to the unversioned .so libs using debhelper; also we
    cannot dh_install the .0d versioned libs anymore and we drop
    them from .install accordingly
    - add debian/libnspr4-0d.links
    - update debian/libnspr4-0d.install
  * implement link shuffeling transition (with abort cases) in
    maintainer scripts; affected libs: libnspr4.so libplc4.so libplds4.so
    - add debian/libnspr4-0d.postinst
    - add debian/libnspr4-0d.postrm
    - add debian/libnspr4-0d.preinst
    - add debian/libnspr4-0d.prerm
  * drop soname version suffix from symbol files and reflect this fact by
    adjusting minimum version to this package version (4.7.3-0ubuntu1~)
    - update debian/libnspr4-0d.symbols
    - update debian/libnspr4-0d.symbols.amd64
    - update debian/libnspr4-0d.symbols.i386
    - update debian/libnspr4-0d.symbols.ia64
    - update debian/libnspr4-0d.symbols.lpia
    - update debian/libnspr4-0d.symbols.powerpc
  * bump lower shlibs version constraint to 4.7.1+1.9-0ubuntu5~
    - update debian/rules
  * rerun autoconf2.13 to apply dropped 81_sonames.patch to configure
    - update debian/patches/99_configure.patch
  * explitly define libnspr4_0d_EXPORTED_LIBS and pass those manually
    to dpkg-gensymbols to workaround uncommon SONAME used by nspr libs
    - update debian/rules
  * don't pretend to create shlibs-control file anymore; add binary
    lintian override for that
    - update debian/rules
  * add #DEBHELPER# token to maintainer scripts
    - update debian/libnspr4-0d.postinst
    - update debian/libnspr4-0d.postrm
    - update debian/libnspr4-0d.preinst
    - update debian/libnspr4-0d.prerm

 -- Alexander Sack <asac@ubuntu.com>  Sun, 11 Jan 2009 13:50:07 +0100

nspr (4.7.1+1.9-0ubuntu4) intrepid; urgency=low

  * LP: #245122 - fix upgrade issue introduced by "unbreak binary
    compatibility" upload by adding Conflicts/Replaces on libnspr4
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 15 Jul 2008 15:25:53 +0200

nspr (4.7.1+1.9-0ubuntu3) intrepid; urgency=low

  * LP: #245122 - fix upgrade issue introduced by "unbreak binary
    compatibility" upload by adding Conflicts/Replaces on libnspr4 (<< 4)
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 09 Jul 2008 21:41:01 +0200

nspr (4.7.1+1.9-0ubuntu2) intrepid; urgency=low

  * unbreak binary compatibility for extensions built against upstream
    xulrunner by moving /usr/lib/.so links from libnspr4-dev package
    to libnspr4-0d; in turn we introduce versioned to Conflicts/Replaces
    to provide a smooth upgrade. (LP: #244439)
    - update debian/libnspr4-0d.install
    - update debian/libnspr4-dev.install
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 01 Jul 2008 11:46:23 +0200

nspr (4.7.1+1.9-0ubuntu1) intrepid; urgency=low

  * New upstream release, picked from FIREFOX_3_0rc1_RELEASE cvs tag
    (LP: #233922)
  * update diverged patches
    - update debian/patches/30_pkgconfig.patch
    - update debian/patches/81_sonames.patch
    - update debian/patches/99_configure.patch

 -- Fabien Tassin <fta@sofaraway.org>  Wed, 21 May 2008 14:50:02 +0200

nspr (4.7.1~beta2-0ubuntu1) hardy; urgency=low

  * New upstream release, picked from NSPR_4_7_1_BETA2 cvs tag
  * bump shlibs requirements
    - update debian/rules

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 04 Apr 2008 16:14:45 +0200

nspr (4.7.0~1.9b4-0ubuntu1) hardy; urgency=low

  * New upstream release, picked from FIREFOX_3_0b4_RELEASE cvs tag
  * update configure patch
    - update debian/patches/99_configure.patch
  * bump shlibs requirements
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Tue, 11 Mar 2008 01:47:11 +0100

nspr (4.7.0~1.9b3-0ubuntu2) hardy; urgency=low

  * Add powerpc specific symbols file
    - add debian/libnspr4-0d.symbols.powerpc
  * Refresh diverged patch:

