=== debian/control ===
Source: nspr
Section: libs
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.61), autotools-dev, quilt (>= 0.40), dpkg-dev (>= 1.14.9)
Homepage: http://www.mozilla.org/projects/nspr/
Standards-Version: 3.7.3

Package: libnspr4-0d
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnspr4-dev (<< 4.7.1+1.9-0ubuntu2), libnspr4 (<< 2:4)
Conflicts: libnspr4-dev (<< 4.7.1+1.9-0ubuntu2), libnspr4 (<< 2:4)
Description: NetScape Portable Runtime Library
 This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calendar time,
  * basic memory management (malloc and free),
  * shared library linking.

Package: libnspr4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnspr4-0d (>= ${source:Upstream-Version}), libnspr4-0d (<= ${source:Version}.1~)
Conflicts: libnspr4, libnspr-dev, nvu-dev
Description: Development files for the NetScape Portable Runtime library
 This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calendar time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 Install this package if you wish to develop your own programs using the
 NetScape Portable Runtime library.

Package: libnspr4-0d-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libnspr4-0d (= ${binary:Version})
Description: Development files for the NetScape Portable Runtime library
 This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calendar time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 This package provides the debugging symbols for the library.
