## nspr 4.8.9

=== debian/changelog ===
nspr (4.8.9-1ubuntu2) precise; urgency=low

  * Fix lintian overrides to just list the soname warning to ignore
    and not list the paths, which would break installing multiarched libs.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 12 Dec 2011 12:56:54 +0200

nspr (4.8.9-1ubuntu1) precise; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Ship the main SO files in an unversioned binary, as we don't have
      versioned SO's in Ubuntu. Maintain a transitional versioned binary
      package containing the versioned symlinks, to maintain compatibility
      with Debian
      * update control, rules
      * mass rename libnspr4-0d* => libnspr4*
      * add some lintian overrides
    - Fix postinst-must-call-ldconfig - dh_makeshlibs doesn't seem to add
      the maintainer script hooks with the unversioned SO files, so add
      them manually
      * add libnspr4.postinst, libnspr4.postrm
    - rules: Enable Thumb2 build on armel, armhf.
    - rules: Add support for mozilla-devscripts.
    - control: Change Vcs-* to XS-Debian-Vcs-*.
  * sonames.patch: Added a patch to fill the object header with a valid
    SONAME, otherwise dpkg-gensymbols would barf.
  * libnspr4-dev: Silence an additional lintian warning.
  * rules: Add a missing backslash to configure flags.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 29 Nov 2011 15:01:32 +0200

nspr (4.8.9-1) unstable; urgency=low

  * New upstream release.
  * mozilla/nsprpub/configure.*: Refreshed.
  * debian/libnspr4-0d.symbols: Add PR_GetVersion to the symbols file.
  * debian/rules: Bump shlibs.

 -- Mike Hommey <glandium@debian.org>  Fri, 12 Aug 2011 12:11:27 +0200

nspr (4.8.8-2) unstable; urgency=low

  * debian/libnspr4-0d.install.in, debian/libnspr4-0d.lintian-overrides.in,
    debian/libnspr4-dev.install.in, debian/libnspr4-dev.links.in,
    debian/control, debian/rules: Switch to multi-arch while keeping
    backports easy. Closes: #497087.
  * debian/control: Bump Standards-Version to 3.9.2.0. No changes required.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Jun 2011 18:45:29 +0900

nspr (4.8.8-1) unstable; urgency=low

  * New upstream release.
  * mozilla/nsprpub/configure: Refreshed.
  * debian/libnspr4-0d.symbols*:
    - Use symbols tags instead of individual symbols files for each
      architecture.
    - Add symbols tags for powerpcspe. Closes: #614228

 -- Mike Hommey <glandium@debian.org>  Tue, 24 May 2011 20:11:53 +0200

nspr (4.8.7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: Merge OPTFLAGS and DEBUGFLAGS in one variable.
  * debian/control, debian/patches/30_config_64bits.patch,
    debian/patches/99_configure.patch, debian/patches/series,
    debian/rules: Use dpkg-architecture to enable 64-bits build on 64 bits
    architectures, instead of relying on a patch to configure.in.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Feb 2011 14:21:52 +0100

nspr (4.8.7-1) experimental; urgency=low

  * New upstream release.
  * mozilla/nsprpub/configure.in: Don't use -march=armv5te -mthumb-interwork
    on non-android arm platforms. bz#626035.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Jan 2011 12:07:25 +0100

nspr (4.8.7-0ubuntu4) precise; urgency=low

  * debian/rules: enable Thumb2 on armhf as well as armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Nov 2011 21:31:15 -0700

nspr (4.8.7-0ubuntu3) oneiric; urgency=low

  * debian/rules: enable Thumb2 build on armel.
  * debian/patches/40_fix_arm_ftbfs.patch: Fix passing of assembler
   flags for ARM in configure.in. Fixes FTBFS.
  * debian/patches/99_configure.patch: Regenerate

 -- Jani Monoses <jani@ubuntu.com>  Tue, 12 Jul 2011 23:51:37 +0300

nspr (4.8.7-0ubuntu2) oneiric; urgency=low

  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 May 2011 23:46:56 -0700

nspr (4.8.7-0ubuntu1) natty; urgency=low

  * New upstream release v4.8.7 (NSPR_4_8_7_RTM)
  * Refresh patches
    - update debian/patches/30_config_64bits.patch
    - update debian/patches/99_configure.patch
  * Drop the link shuffeling now, as all upgraders to this version will be
    using a fixed package anyway
    - remove debian/libnspr4-0d.postinst
    - remove debian/libnspr4-0d.postrm
    - remove debian/libnspr4-0d.preinst
    - remove debian/libnspr4-0d.prerm
  * Drop arch-specific symbols files for architectures we don't support
    - remove debian/libnspr4-0d.symbols.hurd_i386
    - remove debian/libnspr4-0d.symbols.ia64
    - remove debian/libnspr4-0d.symbols.lpia
  * Ship the main SO files in an unversioned binary, as we don't have
    versioned SO's in Ubuntu. Maintain a transitional versioned binary
    package containing the versioned symlinks, to maintain compatibility with
    Debian
    - update debian/control
    - mass rename debian/libnspr4-0d* => debian/libnspr4*
    - update debian/rules
  * Fix postinst-must-call-ldconfig - dh_makeshlibs doesn't seem to add
    the maintainer script hooks with the unversioned SO files, so add them
    manually
    - add debian/libnspr4.postinst
    - add debian/libnspr4.postrm

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 11 Jan 2011 14:55:23 -0600

nspr (4.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release v4.8.6
  * Refresh patches:
    - update debian/patches/99_configure.patch 
  * Update symbols file for API addition
    - update debian/libnspr4-0d.symbols
  * Fix some lintian warnings
    - update debian/control
    - update debian/rules
    - update debian/libnspr4-0d.postinst
    - update debian/copyright

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Aug 2010 16:41:12 +0100

nspr (4.8.4-0ubuntu1) lucid; urgency=low

  * New upstream release: 4.8.4
  * Adjust patches to changed upstream codebase
    - update debian/patches/99_configure.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 24 Mar 2010 14:33:41 +0000

nspr (4.8-0ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;

