## nspr 4.9~beta5

=== debian/changelog ===
nspr (4.9~beta5-1) experimental; urgency=low

  * New upstream beta release.
  * mozilla/nsprpub/configure.*, mozilla/nsprpub/config/rules.mk: Refreshed.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 17:06:55 +0100
