## nspr 4.9.2

=== debian/changelog ===
nspr (2:4.9.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Mike Hommey <glandium@debian.org>  Sun, 23 Sep 2012 07:25:24 +0000

nspr (2:4.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/libnspr4.symbols: Add new symbols.

 -- Mike Hommey <glandium@debian.org>  Fri, 20 Jul 2012 08:40:44 +0200

nspr (2:4.9.1-1) unstable; urgency=low

   * New upstream release. Now patch-free!
   * debian/copyright: Upstream upgraded to MPL 2.0.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Jun 2012 09:25:54 +0200

nspr (2:4.9-3) unstable; urgency=low

  * debian/rules: Re-enable read-only relocations. Closes: #673090.

 -- Mike Hommey <glandium@debian.org>  Thu, 17 May 2012 08:43:32 +0200

nspr (2:4.9-2) unstable; urgency=low

  * debian/control, debian/libnspr4*, debian/rules,
    mozilla/nsprpub/config/rules.mk, mozilla/nsprpub/configure.in,
    mozilla/nsprpub/lib/ds/Makefile.in,
    mozilla/nsprpub/lib/libc/src/Makefile.in,
    mozilla/nsprpub/pr/src/Makefile.in: Move to unversioned library.
    ABI compatibility is ensured upstream, and the SO version, if it needed
    a change at any time, would be a change in the library name. There is
    no reason to keep making compatibility more difficult with other distros
    and upstream binary releases. While previous versions were one-way
    compatible (binaries built against other distros or upstream nspr could
    work on Debian), this approach works both ways.
  * debian/make.mk: Makefile utilities imported from Iceweasel.
  * debian/rules, mozilla/nsprpub/configure.in: Use dpkg-buildflags for
    hardening.
  * debian/rules: Limit the number of times dpkg-architecture is called.
  * debian/control: Bump Standards-Version to 3.9.3.0. No changes required.
  * Adding an epoch to match the old libnspr4 package that used to be in
    the Debian archive.

 -- Mike Hommey <glandium@debian.org>  Sun, 13 May 2012 10:39:16 +0200
