=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 8.1.3), autotools-dev, dpkg-dev (>= 1.15.4)
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3.0
 Homepage: http://www.mozilla.org/projects/nspr/
 Vcs-Git: git://git.debian.org/git/pkg-mozilla/nspr.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nspr.git
 
-Package: libnspr4-0d
+Package: libnspr4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libnspr4-0d (<< 2:4.9-2~)
 Multi-Arch: ${misc:Multi-Arch}
 Description: NetScape Portable Runtime Library
  This library provides platform independent non-GUI operating system
@@ -24,10 +25,21 @@
   * basic memory management (malloc and free),
   * shared library linking.
 
+Package: libnspr4-0d
+Section: oldlibs
+Priority: extra
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libnspr4 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: ${misc:Multi-Arch}
+Description: NetScape Portable Runtime Library - transitional package
+ This is a transitional package to ensure smooth transition of all packages
+ to libnspr4.
+
 Package: libnspr4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libnspr4-0d (>= ${source:Upstream-Version}), libnspr4-0d (<= ${source:Version}.1~)
+Depends: ${misc:Depends}, libnspr4 (>= ${source:Upstream-Version}), libnspr4 (<= ${source:Version}.1~)
 Description: Development files for the NetScape Portable Runtime library
  This library provides platform independent non-GUI operating system
  facilities including:
@@ -41,11 +53,12 @@
  Install this package if you wish to develop your own programs using the
  NetScape Portable Runtime library.
 
-Package: libnspr4-0d-dbg
+Package: libnspr4-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libnspr4-0d (= ${binary:Version}), ${misc:Depends}
+Depends: libnspr4 (= ${binary:Version}), ${misc:Depends}
+Provides: libnspr4-0d-dbg
 Multi-Arch: ${misc:Multi-Arch}
 Description: Debugging symbols for the NetScape Portable Runtime library
  This library provides platform independent non-GUI operating system
