## nspr 4.9.4

=== debian/changelog ===
nspr (4.9.4-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream release to support security fixes in nss. Dropped the
    following patches:
    - debian/patches/30_pkgconfig.patch (included upstream)
    - debian/patches/38_hurd.patch (included upstream)
    - debian/patches/99_configure.patch (no longer required)
    - debian/patches/sonames.patch (no longer required)
  * debian/libnsp4.symbols: added PR_GetThreadName@Base and
    PR_SetCurrentThreadName@Base

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 10 Jan 2013 10:56:12 -0600

nspr (4.8.9-1ubuntu3) quantal; urgency=low

  * Reupload to quantal.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Sep 2012 08:13:48 -0700

nspr (4.8.9-1ubuntu2.3) precise-proposed; urgency=low

  * language-support-LANG was still around in 11.04 so the previous change
    is requiring a dist-upgrade for any user who upgraded from 11.04 to 11.10
    and then to 12.04, instead of being limited to machines that were
    originally installed with 9.04 as was planned.
    Removing language-support-LANG from the Breaks, which should resolve the
    issue for these users while still removing language-support-translations
    on systems. (LP: #1036794)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 17 Aug 2012 09:46:51 -0400

nspr (4.8.9-1ubuntu2.2) precise-proposed; urgency=low

  * Add additional Conflicts: on the obsolete evolution-documentation-*
    packages, which are held back on some users' systems despite being
    obsolete before 10.04; and also on the matching
    language-support-translations-* and language-support-* packages.  This
    should ensure libnspr is getting upgraded, instead of evolution being
    held back.  LP: #1036794.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Aug 2012 13:52:33 -0700

nspr (4.8.9-1ubuntu2.1) precise-proposed; urgency=low

  * Add Breaks: evolution-plugins (<< 3.2.0-0ubuntu2) to libnspr4,
    required to get the dist-upgrader to resolve lucid -> precise.
    (LP: #1029531)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 17:17:49 -0400
