=== debian/control ===
--- 
+++ 
@@ -1,19 +1,42 @@
 Source: nspr
 Section: libs
 Priority: optional
-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
 Build-Depends: debhelper (>= 8.1.3), autotools-dev, dpkg-dev (>= 1.15.4)
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.2.0
 Homepage: http://www.mozilla.org/projects/nspr/
-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nspr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nspr.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nspr.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nspr.git
 
 Package: libnspr4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libnspr4-0d (<< 2:4.9-2~)
+Replaces: libnspr4-0d (<< 4.8.7)
+Conflicts: libnspr4-0d (<< 4.8.7),
+	evolution-documentation-en,
+	evolution-documentation-cs,
+	evolution-documentation-de,
+	evolution-documentation-el,
+	evolution-documentation-es,
+	evolution-documentation-fr,
+	evolution-documentation-mk,
+	evolution-documentation-oc,
+	evolution-documentation-ru,
+	evolution-documentation-sv,
+	language-support-translations-en,
+	language-support-translations-cs,
+	language-support-translations-de,
+	language-support-translations-el,
+	language-support-translations-es,
+	language-support-translations-fr,
+	language-support-translations-mk,
+	language-support-translations-oc,
+	language-support-translations-ru,
+	language-support-translations-sv
+Breaks: evolution-plugins (<< 3.2.0-0ubuntu2)
 Multi-Arch: ${misc:Multi-Arch}
 Description: NetScape Portable Runtime Library
  This library provides platform independent non-GUI operating system
@@ -24,17 +47,6 @@
   * interval timing and calendar time,
   * basic memory management (malloc and free),
   * shared library linking.
-
-Package: libnspr4-0d
-Section: oldlibs
-Priority: extra
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libnspr4 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: ${misc:Multi-Arch}
-Description: NetScape Portable Runtime Library - transitional package
- This is a transitional package to ensure smooth transition of all packages
- to libnspr4.
 
 Package: libnspr4-dev
 Section: libdevel
@@ -58,7 +70,8 @@
 Priority: extra
 Architecture: any
 Depends: libnspr4 (= ${binary:Version}), ${misc:Depends}
-Provides: libnspr4-0d-dbg
+Conflicts: libnspr4-0d-dbg (<< 4.8.7)
+Replaces: libnspr4-0d-dbg
 Multi-Arch: ${misc:Multi-Arch}
 Description: Debugging symbols for the NetScape Portable Runtime library
  This library provides platform independent non-GUI operating system
@@ -71,3 +84,21 @@
   * shared library linking.
  .
  This package provides the debugging symbols for the library.
+
+Package: libnspr4-0d
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnspr4 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: ${misc:Multi-Arch}
+Description: NetScape Portable Runtime Library
+ This library provides platform independent non-GUI operating system
+ facilities including:
+  * threads,
+  * thread synchronisation,
+  * normal file I/O and network I/O,
+  * interval timing and calendar time,
+  * basic memory management (malloc and free),
+  * shared library linking.
+ .
+ This package contains versions symbolic links for Debian compatbility
