=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+-include /usr/share/mozilla-devscripts/nspr.mk
 
 CFLAGS := -Wall -pipe
 
@@ -18,14 +20,16 @@
 	CONFIGURE_FLAGS += --enable-64bit
 endif
 
-CONFIGURE_FLAGS += --enable-hardening
+ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf))
+	CONFIGURE_FLAGS += --enable-thumb2
+endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 PREPROCESS_FILES := $(wildcard debian/*.in)
 
 $(PREPROCESS_FILES:.in=): %: %.in
-	sed 's,@DEB_HOST_MULTIARCH@/,$(DEB_HOST_MULTIARCH:=/),g;s,@MULTIARCH_WILDCARD@/,$(if $(DEB_HOST_MULTIARCH),*/),g' $< > $@
+	sed 's,@DEB_HOST_MULTIARCH@/,$(DEB_HOST_MULTIARCH:=/),g' $< > $@
 
 %:
 	dh --sourcedirectory=mozilla/nsprpub $@
@@ -40,7 +44,7 @@
 	dh_auto_configure -- \
                     $(CONFIGURE_FLAGS) \
 		    --prefix=/usr \
-		    --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+		    --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		    --enable-ipv6 \
 		    --with-mozilla
 
@@ -53,10 +57,10 @@
 	done
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libnspr4-0d-dbg
+	dh_strip -a --dbg-package=libnspr4-dbg
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'libnspr4-0d (>= 4.8.9)' -- -c4
+	dh_makeshlibs -a -V 'libnspr4 (>= 4.8.9)' -- -c4
 
 ifneq (,$(DEB_HOST_MULTIARCH))
 override_dh_gencontrol:
